"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function longTermFuelTrimB1() {
    return function (source) {
        return source.lift(new LongTermFuelTrimB1Operator());
    };
}
exports.longTermFuelTrimB1 = longTermFuelTrimB1;
var LongTermFuelTrimB1Operator = /** @class */ (function () {
    function LongTermFuelTrimB1Operator() {
    }
    LongTermFuelTrimB1Operator.prototype.call = function (subscriber, source) {
        return source.subscribe(new LongTermFuelTrimB1Subscriber(subscriber));
    };
    return LongTermFuelTrimB1Operator;
}());
var LongTermFuelTrimB1Subscriber = /** @class */ (function (_super) {
    __extends(LongTermFuelTrimB1Subscriber, _super);
    function LongTermFuelTrimB1Subscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    LongTermFuelTrimB1Subscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    LongTermFuelTrimB1Subscriber.prototype.command = function () {
        return '01 07 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    LongTermFuelTrimB1Subscriber.prototype.field = function () {
        return 'longTermFuelTrimB1';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    LongTermFuelTrimB1Subscriber.prototype.parse = function (bytes) {
        return (parseInt(bytes[2], 16) / 1.28) - 100;
    };
    return LongTermFuelTrimB1Subscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=longTermFuelTrimB1.js.map