"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function shortTermFuelTrimB1() {
    return function (source) {
        return source.lift(new ShortTermFuelTrimB1Operator());
    };
}
exports.shortTermFuelTrimB1 = shortTermFuelTrimB1;
var ShortTermFuelTrimB1Operator = /** @class */ (function () {
    function ShortTermFuelTrimB1Operator() {
    }
    ShortTermFuelTrimB1Operator.prototype.call = function (subscriber, source) {
        return source.subscribe(new ShortTermFuelTrimB1Subscriber(subscriber));
    };
    return ShortTermFuelTrimB1Operator;
}());
var ShortTermFuelTrimB1Subscriber = /** @class */ (function (_super) {
    __extends(ShortTermFuelTrimB1Subscriber, _super);
    function ShortTermFuelTrimB1Subscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    ShortTermFuelTrimB1Subscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    ShortTermFuelTrimB1Subscriber.prototype.command = function () {
        return '01 06 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    ShortTermFuelTrimB1Subscriber.prototype.field = function () {
        return 'shortTermFuelTrimB1';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    ShortTermFuelTrimB1Subscriber.prototype.parse = function (bytes) {
        return (parseInt(bytes[2], 16) / 1.28) - 100;
    };
    return ShortTermFuelTrimB1Subscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=shortTermFuelTrimB1.js.map