"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * OBD Field representation.
 */
var OBDField = /** @class */ (function () {
    /**
     * The OBD Field constructor.
     * @param code The code.
     * @param label The label.
     * @param unit The unit.
     * @param value The initial value.
     * @param formatter projector to format the value.
     */
    function OBDField(code, label, unit, value, formatter) {
        this.code = code;
        this.label = label;
        this.unit = unit;
        this.value = value;
        this.formatter = formatter;
        this.formatted = formatter ? formatter(unit, value) : value + " " + unit;
    }
    return OBDField;
}());
exports.OBDField = OBDField;
//# sourceMappingURL=OBDField.js.map