"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
function pluckOBDData() {
    return function (source) {
        return source.lift(new PluckOBDDataOperator());
    };
}
exports.pluckOBDData = pluckOBDData;
var PluckOBDDataOperator = /** @class */ (function () {
    function PluckOBDDataOperator() {
    }
    PluckOBDDataOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new PluckOBDDataSubscriber(subscriber));
    };
    return PluckOBDDataOperator;
}());
var PluckOBDDataSubscriber = /** @class */ (function (_super) {
    __extends(PluckOBDDataSubscriber, _super);
    function PluckOBDDataSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    PluckOBDDataSubscriber.prototype._next = function (event) {
        event.next(event.data);
        this.destination.next(event.data);
    };
    return PluckOBDDataSubscriber;
}(rxjs_1.Subscriber));
//# sourceMappingURL=pluckOBDData.js.map